Install a plugin
import requests
url = "https://{FUSION HOST}/api/connectors/plugins"
response = requests.post(url)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/connectors/plugins")
.asString();const options = {method: 'POST'};
fetch('https://{FUSION HOST}/api/connectors/plugins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/plugins")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/plugins"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/plugins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/api/connectors/plugins{
"pluginId": "lucidworks.web-v2",
"status": {
"action": "INSTALL",
"status": "SUCCESS",
"message": "Plugin lucidworks.web-v2 was installed successfully."
}
}Install a plugin
Install a plugin from the plugins repository. Use /connectors/repository to get the list of plugins in the repository and their IDs.
POST
/
connectors
/
plugins
Install a plugin
import requests
url = "https://{FUSION HOST}/api/connectors/plugins"
response = requests.post(url)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/connectors/plugins")
.asString();const options = {method: 'POST'};
fetch('https://{FUSION HOST}/api/connectors/plugins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/plugins")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/plugins"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/plugins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Query Parameters
The ID of the plugin to install.
The specific plugin version to be installed. Leave empty to use the most recent plugin version.
Was this page helpful?
⌘I